gammu (1.42.0-5~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Move systemd unit under /lib

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 26 Oct 2021 11:30:38 +0000

gammu (1.42.0-5) unstable; urgency=medium

  * Fix build on non-linux arches (2)

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 26 Oct 2021 11:20:41 +0000

gammu (1.42.0-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 26 Oct 2021 06:31:17 +0000
gammu (1.42.0-4) unstable; urgency=medium

  * Fix build on non-linux arches

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 26 Oct 2021 05:56:27 +0000

gammu (1.42.0-3) unstable; urgency=medium

  * Move dh-sequence-sphinxdoc to Build-Depends
  * Update FSF address in d/copyright
  * Fix non-posix statements in posix script

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 25 Oct 2021 03:38:03 +0000

gammu (1.42.0-2) unstable; urgency=medium

  [ Boian Bonev ]
  * Remove wammu from Suggests
  * Do not remove symbols from libgammu when features are not
    supported. This fixes build on GNU/Hurd
  * Disable unreliable test smsd-dbi-sqlite3

  [ Helmut Grohne ]
  * Move documentation build and its dependencies to indep only.

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 20 Oct 2021 18:22:37 +0000

gammu (1.42.0-1) unstable; urgency=medium

  * New maintainer (Closes: #951855)
  * New upstream release 1.42.0 (Closes: #963643)
  * Bump standards to 4.6.0, no change
  * Bump debhelper to 13
    - Disable running tests in parallel
    - Move the docs as per main package name
  * Add Rules-Requires-Root: no
  * Update watch to version 4
  * wrap-and-sort --short-indent --wrap-always --sort-binary-packages \
    --trailing-comma
  * Fix spelling errors
  * Make copyright in DEP-5
    - Be specific about various files licenses
  * Install the systemd unit in canonical location
  * Also install sysvinit script
  * Fix config path in systemd unit (Closes: #959229)
  * Mark gammu-dev Multi-Arch: no
  * Mark gammu-doc and libgammu-i18n Multi-Arch: foreign
  * Do not build-depend on systemd, force CMake to install the service

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 16 Sep 2021 03:07:40 +0000

gammu (1.41.0-1.1) unstable; urgency=medium

  [ Balint Reczey ]
  * Non-maintainer upload
  * Add Salsa CI configuration

  [ Rolf Leggewie ]
  * Fix systemd service file (Closes: #959176) (LP: #1874554)
  * Build-depend on systemd to let CMake install the gammu-smsd service

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 21 May 2020 16:57:57 +0200

gammu (1.41.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.5.0.

 -- Michal Čihař <nijel@debian.org>  Sat, 22 Feb 2020 12:52:03 +0100

gammu (1.40.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust Vcs-* URLs to salsa.debian.org.
  * Bump standards to 4.3.0.
  * Use gammu.maintscript for invoking dpkg-maintscript-helper.
  * Install pkgconfig data suitable for cross-compilation.

 -- Michal Čihař <nijel@debian.org>  Wed, 20 Feb 2019 11:18:42 +0100

gammu (1.39.0-1) unstable; urgency=medium

  * New upstream release.
    - All patches merged upstream.
  * Bump standards to 4.1.3.

 -- Michal Čihař <nijel@debian.org>  Fri, 05 Jan 2018 11:32:11 +0100

gammu (1.38.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.1.1.
  * Use python3 to build the documentation.
  * Remove build dependency on dh-systemd in favor of debhelper (>=
    9.20160709).

 -- Michal Čihař <nijel@debian.org>  Wed, 18 Oct 2017 10:36:37 +0200

gammu (1.38.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.0.0.

 -- Michal Čihař <nijel@debian.org>  Fri, 30 Jun 2017 15:50:21 +0200

gammu (1.38.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes parsing of some vCalendar files (Closes: #849549).
  * Enable parallel build (Closes: #849550).

 -- Michal Čihař <nijel@debian.org>  Thu, 05 Jan 2017 13:47:44 +0100

gammu (1.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-Git URL to https.

 -- Michal Čihař <nijel@debian.org>  Mon, 12 Dec 2016 14:52:36 +0100

gammu (1.37.91-1) unstable; urgency=medium

  * New upstream testing release.
  * Upload to unstable to fit into transition freeze.

 -- Michal Čihař <nijel@debian.org>  Sun, 23 Oct 2016 14:50:28 +0200

gammu (1.37.90-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream testing release.
  * Increased library soname version to 8.
  * Build depend on default-libmysqlclient-dev.

 -- Michal Čihař <nijel@debian.org>  Wed, 19 Oct 2016 14:10:42 +0200

gammu (1.37.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 16 Aug 2016 10:51:05 +0200

gammu (1.37.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.8.

 -- Michal Čihař <nijel@debian.org>  Tue, 24 May 2016 12:17:35 +0200

gammu (1.37.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.7.

 -- Michal Čihař <nijel@debian.org>  Wed, 13 Apr 2016 14:02:11 +0200

gammu (1.37.0-1) unstable; urgency=medium

  * Migrate to dbgsym for debug symbols.
  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 03 Feb 2016 10:49:51 +0100

gammu (1.36.8-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 08 Dec 2015 11:50:24 +0100

gammu (1.36.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Sun, 29 Nov 2015 19:36:28 +0100

gammu (1.36.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 14 Oct 2015 13:16:30 +0200

gammu (1.36.5-2) unstable; urgency=medium

  * Remove transitional package python-gammu-doc.
  * Remove stale /etc/bash_completion.d/gammu on upgrade (Closes: #797735).

 -- Michal Čihař <nijel@debian.org>  Wed, 02 Sep 2015 13:08:24 +0200

gammu (1.36.5-1) unstable; urgency=medium

  * New upstream release.
    - Ships up to date SQL (Closes: #793476).
    - Fixes crash on loading some backups (Closes: #687125).
    - Improved documentation on SMS encoding in SMSD (Closes: #785716).
  * Upload to unstable.
  * Avoid versioned dependency on (now external) python-gammu.
  * Build documentation during build.
  * Use sphinxdoc debhelper module.
  * Adjust build dependency on breathe 4.1.0 which is needed to build the
    docs.
  * Install bash-completion to correct path.

 -- Michal Čihař <nijel@debian.org>  Tue, 01 Sep 2015 15:36:54 +0200

gammu (1.36.0-1) experimental; urgency=medium

  * New upstream release.
     - Python module is now distributed separately.
     - All our patches merged upstream.

 -- Michal Čihař <nijel@debian.org>  Mon, 13 Apr 2015 17:14:35 +0200

gammu (1.35.0-2) experimental; urgency=medium

  * Install SMSD systemd service file even if building without systemd.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Mar 2015 14:16:38 +0100

gammu (1.35.0-1) experimental; urgency=low

  * New upstream release.
  * Enable parallel build.
  * Backport upstream patch to make build reproducible.
  * Bump standards to 3.9.6.
  * Use saner code for removing user/group in smsd postrm script.
  * Use system python-breathe for build, depend on 3.2.0.
  * Upload to experimental.

 -- Michal Čihař <nijel@debian.org>  Tue, 17 Mar 2015 10:40:32 +0100

gammu (1.33.0-3) unstable; urgency=low

  * Fix test execuction during build.
  * Simplify debian/rules by more using dh_auto_*.

 -- Michal Čihař <nijel@debian.org>  Wed, 24 Jul 2013 16:44:45 +0200

gammu (1.33.0-2) unstable; urgency=low

  * Disable py-setdiverts test, which seems to fail on some architectures for
    unknown reason.
  * Switch to debhelper 9.
  * Use canonical VCS URLs in debian/control.
  * Implement status option in init script.

 -- Michal Čihař <nijel@debian.org>  Wed, 10 Jul 2013 10:18:30 +0200

gammu (1.33.0-1) unstable; urgency=low

  * Fix DAEMON_OPTS handling in init script (Closes: #690136).
  * New upstream release.
  * Bump standards to 3.9.4.

 -- Michal Čihař <nijel@debian.org>  Wed, 29 May 2013 13:26:54 +0200

gammu (1.32.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes encoding of diverts (Closes: #677023).
    - Fixed typo in GSM encoding (Closes: #666924).
  * Adjust watch file to xz compressed files.
  * Use dpkg build flags.
  * Bump standards to 3.9.3.

 -- Michal Čihař <nijel@debian.org>  Wed, 27 Jun 2012 11:22:02 +0200

gammu (1.31.90-1) unstable; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Fri, 24 Feb 2012 16:57:14 +0100

gammu (1.31.0-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Michal Čihař <nijel@debian.org>  Wed, 21 Dec 2011 14:53:15 +0100

gammu (1.30.92-1) experimental; urgency=low

  * New upstream release.
  * Use versioned dependency on internal libraries (Closes: #641870).
  * Make gammu-doc depend on libjs-sphinxdoc to get all needed
    javascript.
  * Add patch for new libusb compatibility.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Dec 2011 10:54:19 +0100

gammu (1.30.91-1) experimental; urgency=low

  * New upstream release.
    - Fixes support for some OBEX phones (LP #891803).
  * Recommend usb-modeswitch as many of USB modems need it.
  * Symlink underscore.js library.

 -- Michal Čihař <nijel@debian.org>  Tue, 29 Nov 2011 15:15:13 +0100

gammu (1.30.90-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Nov 2011 10:50:27 +0100

gammu (1.30.0-2) unstable; urgency=low

  * Build depend on libgudev-1.0-dev only on Linux (Closes: #635010).

 -- Michal Čihař <nijel@debian.org>  Fri, 22 Jul 2011 09:32:27 +0200

gammu (1.30.0-1) unstable; urgency=low

  * New stable upstream version, upload to unstable.
  * Build depend on libdbi-dev instead of libdbi0-dev (Closes: #634570).
  * Use linux-any instead of listing non-linux arches (Closes: #634803).
  * Add build-arch and build-indep targets.

 -- Michal Čihař <nijel@debian.org>  Tue, 19 Jul 2011 11:55:35 +0200

gammu (1.29.93-1) experimental; urgency=low

  * New upstream version.
  * Bump standards to 3.9.2.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Jun 2011 14:23:56 +0200

gammu (1.29.92-1) experimental; urgency=low

  * New upstream version.
  * Drop not needed dependency on python-support.
  * Build with ODBC support.

 -- Michal Čihař <nijel@debian.org>  Tue, 15 Mar 2011 17:17:44 +0100

gammu (1.29.91-1) experimental; urgency=low

  * New upstream version.
  * Add support for DEB_BUILD_OPTIONS=nocheck (Closes: #613877).
  * Switch to dh_python2.

 -- Michal Čihař <nijel@debian.org>  Fri, 25 Feb 2011 10:15:31 +0100

gammu (1.29.90-1) experimental; urgency=low

  * New upstream release.
    - Adds support for S60 phones (Closes: #482436).

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Feb 2011 15:39:30 +0100

gammu (1.29.0-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 19 Jan 2011 08:35:28 +0100

gammu (1.28.95-1) experimental; urgency=low

  * New upstream release.
  * Add libglib2.0-dev and libgudev-1.0-dev to build deps for gammu-detect
    tool.
  * Do not compress objects.inv in Sphix docs (Closes: #608779).
  * Symlink jquery from jquery package rather than ship a copy.
  * Minimize deps of gammu-doc package.
  * Do not ship cache in .doctrees from sphinx docs.

 -- Michal Čihař <nijel@debian.org>  Fri, 07 Jan 2011 15:27:39 +0100

gammu (1.28.94-1) experimental; urgency=low

  * New upstream release.
  * Build The Gammu Manual during build and install it into gammu-doc package.
  * The python-gammu-doc package is no gone, obsoleted by gammu-doc.

 -- Michal Čihař <nijel@debian.org>  Mon, 27 Dec 2010 10:20:38 +0100

gammu (1.28.93-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Thu, 02 Dec 2010 15:23:46 +0100

gammu (1.28.92-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Mon, 04 Oct 2010 17:20:01 +0200

gammu (1.28.91-1) experimental; urgency=low

  * New upstream version.
  * All patches are now upstream.

 -- Michal Čihař <nijel@debian.org>  Thu, 16 Sep 2010 13:55:24 +0200

gammu (1.28.90-1) experimental; urgency=low

  * New upstream version.
  * Include SQL scripts in gammu-smsd package.
  * Bump standards to 3.9.1.
  * Include upstream fix for gettext support.

 -- Michal Čihař <nijel@debian.org>  Fri, 27 Aug 2010 11:27:35 +0200

gammu (1.28.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards to 3.9.0.
  * Turn some conflicts to breaks.

 -- Michal Čihař <nijel@debian.org>  Mon, 12 Jul 2010 14:19:42 +0200

gammu (1.27.95-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Tue, 29 Jun 2010 16:29:28 +0200

gammu (1.27.94-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Jun 2010 11:56:16 +0200

gammu (1.27.93-1) experimental; urgency=low

  * New upstream testing version.
  * All patches are merged upstream.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Apr 2010 15:30:40 +0200

gammu (1.27.92-3) unstable; urgency=low

  * Upstream fix for smsbackup testing failure on armel.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Feb 2010 16:38:28 +0100

gammu (1.27.92-2) unstable; urgency=low

  * Fix timing of py-smsd-testing test.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Feb 2010 15:13:11 +0100

gammu (1.27.92-1) unstable; urgency=low

  * New upstream testing version.
  * Upload to unstable to fix FTBFS.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Feb 2010 11:32:31 +0100

gammu (1.27.91-1) experimental; urgency=low

  * New upstream testing version.
  * Tests should work on all arches (Closes: #567231).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 04 Feb 2010 19:26:01 +0100

gammu (1.27.90-1) experimental; urgency=low

  * New upstream test version.
  * No need to ignore files-detail tests.

 -- Michal Čihař <nijel@debian.org>  Wed, 06 Jan 2010 16:50:00 +0100

gammu (1.27.0-1) unstable; urgency=low

  * New upstream stable version, upload to unstable.
  * Disable test smsd-files-detail as it is broken.

 -- Michal Čihař <nijel@debian.org>  Tue, 22 Dec 2009 10:47:14 +0100

gammu (1.26.93-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Sat, 12 Dec 2009 19:56:18 +0100

gammu (1.26.92-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Dec 2009 16:34:51 +0100

gammu (1.26.91-1) experimental; urgency=low

  * New upstream testing release.
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Thu, 19 Nov 2009 15:23:25 +0100

gammu (1.26.1-2) unstable; urgency=low

  * Do not build depend on libusb on !linux, it is not available there.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 10:28:52 +0100

gammu (1.26.90-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Mon, 12 Oct 2009 15:58:48 +0200

gammu (1.26.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 08 Sep 2009 10:15:28 +0200

gammu (1.26.0-1) unstable; urgency=low

  * New upstream stable version, upload to unstable.
  * Include preinst snipped to remove crap left over by pycentral
    (Closes: #544415).

 -- Michal Čihař <nijel@debian.org>  Fri, 04 Sep 2009 10:58:14 +0200

gammu (1.25.93-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Thu, 27 Aug 2009 13:08:25 +0200

gammu (1.25.92-1) experimental; urgency=low

  * New upstream version.
  * Bump soname to 7 (libgammu7 and libgsmd7).
  * Bump standards to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Fri, 21 Aug 2009 13:01:15 +0200

gammu (1.25.91-1) experimental; urgency=low

  * New upstream version.
  * Include monitor tool in smsd package.

 -- Michal Čihař <nijel@debian.org>  Thu, 13 Aug 2009 15:16:23 +0200

gammu (1.25.90-1) experimental; urgency=low

  * New upstream testing release.
    - Fixes huge memory consumption (Closes: #538405).

 -- Michal Čihař <nijel@debian.org>  Thu, 30 Jul 2009 18:06:13 +0200

gammu (1.25.0-2) unstable; urgency=low

  * Build against new MySQL (Closes: #538457).
  * Switch package development to git, adjust Vcs-* headers.

 -- Michal Čihař <nijel@debian.org>  Thu, 30 Jul 2009 16:58:02 +0200

gammu (1.25.0-1) unstable; urgency=low

  * New stable upstream version.
  * Uploaded to unstable.

 -- Michal Čihař <nijel@debian.org>  Thu, 09 Jul 2009 09:48:00 +0200

gammu (1.24.92-1) experimental; urgency=low

  * New upstream testing version.
  * Bump standards to 3.8.2.

 -- Michal Čihař <nijel@debian.org>  Wed, 24 Jun 2009 14:49:59 +0200

gammu (1.24.91-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Wed, 27 May 2009 09:30:50 +0200

gammu (1.24.90-1) experimental; urgency=low

  * New upstream testing version.
  * Build against libmysqlclient-dev in experimental.

 -- Michal Čihař <nijel@debian.org>  Tue, 12 May 2009 16:14:26 +0200

gammu (1.24.0-1) unstable; urgency=low

  * New upstream version.
  * Ignore sqlite based tests as sqlite is currently broken in unstable
    (Bug#524166).
  * Adjust python-gammu file lists to work with new python paths LP: #358602.

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Apr 2009 16:08:01 +0200

gammu (1.23.92-1) experimental; urgency=low

  * New upstream release.
  * Improved some messages (Closes: #521022).
  * Update debian/control to use new sections.
  * Do not ship gnapplet (Closes: #521448).
  * Update README.Debian to point users to upstread download for gnapplet.
  * Switched to python-support.
  * Use new overrides features of dh.

 -- Michal Čihař <nijel@debian.org>  Mon, 30 Mar 2009 17:11:51 +0200

gammu (1.23.91-1) experimental; urgency=low

  * New upstream release.
  * Move man pages from lib* packages to match policy 8.2.
  * Bump policy to 3.8.1 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Wed, 18 Mar 2009 10:05:55 +0100

gammu (1.23.90-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Wed, 11 Mar 2009 14:29:18 +0100

gammu (1.23.1-2) unstable; urgency=low

  * chrpatch should not be needed in this release anymore (and the paths were
    wrong for upcoming changes in Python).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Mar 2009 17:04:26 +0100

gammu (1.23.1-1) unstable; urgency=low

  * New upstream release.
  * Do not start if smsd is not configured (Closes: #517247).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Mar 2009 15:47:04 +0100

gammu (1.23.0-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Mon, 23 Feb 2009 17:15:33 +0100

gammu (1.22.95-1) experimental; urgency=low

  * New upstream testing version.
  * Fix file lists to match current reogranising in upstream.

 -- Michal Čihař <nijel@debian.org>  Tue, 17 Feb 2009 11:05:18 +0100

gammu (1.22.94-1) experimental; urgency=low

  * New upstream release.
    - Includes DBI backend with better SQL (Closes: #514353).
    - Fixes FTBFS (Closes: #512120).

 -- Michal Čihař <nijel@debian.org>  Mon, 09 Feb 2009 17:38:57 +0100

gammu (1.22.94~svn4062-1) experimental; urgency=low

  * Update to SVN snapshot to fix FTBFS on several architectures.
  * Do not rull full test suite for all Python versions, just test python
    module.

 -- Michal Čihař <nijel@debian.org>  Wed, 04 Feb 2009 16:51:49 +0100

gammu (1.22.93-1) experimental; urgency=low

  * New upstream testing version.
  * SMSD now properly drops privileges.
  * Build depend on libdbi0-dev and libusb1.0-0-dev to have new upstream
    features.
  * Point properly to GPL-2 license as the code is GPL-2.
  * Include sqlite3 and libdbd-sqlite3 in build depends for testing.

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Feb 2009 18:42:06 +0100

gammu (1.22.92-1) experimental; urgency=low

  * New upstream testing version.
  * Update information about smsd in README.Debian.
  * Improve short description of some packages (to avoid duplicite
    descriptions).

 -- Michal Čihař <nijel@debian.org>  Mon, 26 Jan 2009 18:09:26 +0100

gammu (1.22.91-1) experimental; urgency=low

  * New upstream version.
  * This version ingerates python packages, so most of python-gammu packaging
    has been merged into this package.

 -- Michal Čihař <nijel@debian.org>  Fri, 16 Jan 2009 12:48:52 +0100

gammu (1.22.90-1) experimental; urgency=low

  * New upstream version.
  * Adjust packages to new upstream structure.
    - Separate SMS daemon package.
    - New libgsmsd library.
    - Increased soname.
  * Update debian/copyright.
  * Package gammu-smsd also contains init script for a daemon.
  * Add gammu user to dialout group, which is needed to access hardware.
  * Include default configuration for smsd, which uses files.
  * Include SMS spool structure in package.

 -- Michal Čihař <nijel@debian.org>  Fri, 09 Jan 2009 16:49:48 +0100

gammu (1.22.1-1) unstable; urgency=low

  * New upstream version.
  * Switch to stable watch file.
  * Drop patch, not needed anymore.

 -- Michal Čihař <nijel@debian.org>  Fri, 19 Dec 2008 10:34:34 +0100

gammu (1.22.0-2) unstable; urgency=low

  * Merge few patches from upstream SVN:
    - Fix format string to fix FTBFS on s390.
    - Increase timeout for some OBEX transfers.
    - Guard HAVE_STRUCT_TM_TM_ZONE definition by ifndef.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Dec 2008 15:40:06 +0100

gammu (1.22.0-1) unstable; urgency=low

  * New upstream version.
  * Add missing ${misc:Depends} to dependencies.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Dec 2008 13:18:31 +0100

gammu (1.21.94-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Wed, 10 Dec 2008 15:13:54 +0100

gammu (1.21.93-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Tue, 02 Dec 2008 15:21:30 +0100

gammu (1.21.92-1) experimental; urgency=low

  * New upstream testing version.
    - Fixes FTBFS with new gcc (Closes: #505409).
    - Soname change (libgammu4 -> libgammu5).
  * Rename libgammu-common to libgammu-i18n as it contails only
    localization data (Closes: #503823).
  * Switch to debhelper 7 and it's more clever dh_install.
  * Use dh command to build package.

 -- Michal Čihař <nijel@debian.org>  Wed, 19 Nov 2008 12:05:54 +0100

gammu (1.21.91-1) experimental; urgency=low

  * New upstream testing version.
  * Recommend whiptail | dialog for gammu-config (Closes: #502918).

 -- Michal Čihař <nijel@debian.org>  Tue, 11 Nov 2008 14:09:00 +0100

gammu (1.21.90-1) experimental; urgency=low

  * New upstream testing version.
  * Improve short descriptions (Closes: #502119).

 -- Michal Čihař <nijel@debian.org>  Mon, 20 Oct 2008 17:59:13 +0200

gammu (1.21.0-2) unstable; urgency=low

  * Produce single debug package libgammu-dbg instead of package for each
    soname. These package could not be installed together anyway as they
    contain debug symbols for gammu binary (Closes: #501600).
  * New libgammu-dbg replaces all older -dbg packages.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Oct 2008 21:24:26 +0200

gammu (1.21.0-1) unstable; urgency=low

  * New upstream version.
    - Fixes format string (Closes: #500657).

 -- Michal Čihař <nijel@debian.org>  Fri, 03 Oct 2008 15:37:58 +0200

gammu (1.20.94-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Fri, 26 Sep 2008 13:13:07 +0200

gammu (1.20.93-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Tue, 23 Sep 2008 14:38:02 +0200

gammu (1.20.92-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Mon, 15 Sep 2008 14:42:14 +0200

gammu (1.20.91-1) experimental; urgency=low

  * New upstream version.
    - Support for entering PIN from stdin (Closes: #484102).

 -- Michal Čihař <nijel@debian.org>  Wed, 10 Sep 2008 22:19:04 +0200

gammu (1.20.90-1) experimental; urgency=low

  * New upstream version.
    - Fixes crash on large vCard lines (Closes: #484335).
    - New soname, rename package to libgammu4.
  * Do not compress gnapplet.sis.
  * Build depend on CURL as upstream now uses it instead of own HTTP crap.
  * Update to standards 3.8.0 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Tue, 05 Aug 2008 13:01:32 +0200

gammu (1.20.0-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Sat, 10 May 2008 23:16:21 +0200

gammu (1.19.91-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Mon, 05 May 2008 21:33:28 +0200

gammu (1.19.90-1) experimental; urgency=low

  * New upstream release.
    - Fixes charset issue with Motorola phones (Closes: #470022).

 -- Michal Čihař <nijel@debian.org>  Wed, 23 Apr 2008 21:02:36 +0200

gammu (1.19.0-3) unstable; urgency=high

  * Fix watch file to look for stable releases (anyway upload was ignored due
    to new dpkg-dev).

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Apr 2008 14:24:40 +0200

gammu (1.19.0-2) unstable; urgency=medium

  * Do not use -fstack-protector as it breaks on arm (fixes FTBFS on arm and
    armel).

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Apr 2008 11:09:40 +0200

gammu (1.19.0-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 05 Mar 2008 22:06:23 +0100

gammu (1.18.91-1) experimental; urgency=low

  * New upstream version.
  * Move libgammu3-dbg to section libdevel (Closes: #465188).

 -- Michal Čihař <nijel@debian.org>  Mon, 25 Feb 2008 11:10:17 +0100

gammu (1.18.90-1) experimental; urgency=low

  * New upstream testing version.
  * Drop not needed debian/patches.

 -- Michal Čihař <nijel@debian.org>  Wed, 06 Feb 2008 11:27:35 +0900

gammu (1.18.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash when fopen fails (Closes: #463013).

 -- Michal Čihař <nijel@debian.org>  Wed, 30 Jan 2008 10:44:34 +0900

gammu (1.17.92-1) experimental; urgency=low

  * New upstream version.
  * Adjusted Vcs-* headers to point to trunk.

 -- Michal Čihař <nijel@debian.org>  Sun, 27 Jan 2008 16:40:34 +0900

gammu (1.17.91-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Wed, 16 Jan 2008 12:06:06 +0900

gammu (1.17.90-1) unstable; urgency=low

  * New upstream version.
    - Fixes crash with too many messages (Closes: #457239).
    - No need to play with LD_LIBRARY_PATH for tests.
  * Include some extra documentation.

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Jan 2008 15:57:29 +0900

gammu (1.17.0-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Thu, 20 Dec 2007 13:04:28 +0900

gammu (1.16.0-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Sat, 15 Dec 2007 16:08:16 +0900

gammu (1.15.91-1) experimental; urgency=low

  * Update policy to 3.7.3 (no changes needed).
  * Drop dpatch build dependency, it's actually not being used.

 -- Michal Čihař <nijel@debian.org>  Wed, 12 Dec 2007 12:38:16 +0900

gammu (1.15.90-1) experimental; urgency=low

  * New upstream release
  * Drop not needed debian/gammu.dirs.
  * Build depend on cmake >= 2.4.2.

 -- Michal Čihař <nijel@debian.org>  Tue, 04 Dec 2007 12:10:46 +0900

gammu (1.15.0-1) unstable; urgency=low

  * New upstream release.
  * Drop not needed man page for gammu-config (included upstream).
  * Cleanup libgammu-common depends to work with current dpkg-gencontrol.
  * Support nocheck in DEB_BUILD_OPTIONS.
  * Do not print directory build-dir as make enters it during build.

 -- Michal Čihař <nijel@debian.org>  Tue, 20 Nov 2007 15:05:41 +0900

gammu (1.14.90-1) experimental; urgency=low

  * New testing release.

 -- Michal Čihař <nijel@debian.org>  Wed, 14 Nov 2007 21:26:29 +0900

gammu (1.14.0-2) unstable; urgency=low

  * Add confict to libgammu2-dbg in libgammu3-dbg.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Nov 2007 10:57:50 +0900

gammu (1.14.0-1) unstable; urgency=low

  * New upstream release (Closes: #447543).

 -- Michal Čihař <nijel@debian.org>  Thu, 08 Nov 2007 12:50:55 +0900

gammu (1.13.96-1) unstable; urgency=low

  * New upstream release.
    - Fixes SMS encoding/decoding (Closes: #447658).

 -- Michal Čihař <nijel@debian.org>  Wed, 31 Oct 2007 15:29:20 +0900

gammu (1.13.95-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash of OBEX driver (Closes: #446923).
  * New version changes soname, so we now produce libgammu3*.
  * Sorry, last upload should go to experimental.
  * Strip XS- from Vcs headers.

 -- Michal Čihař <nijel@debian.org>  Sun, 28 Oct 2007 12:01:06 +0900

gammu (1.13.94-1) unstable; urgency=low

  * New upstream release.
    - Fixes crash in config handling (Closes: #446781).

 -- Michal Čihař <nijel@debian.org>  Tue, 16 Oct 2007 10:01:29 +0900

gammu (1.13.93-1) experimental; urgency=low

  * New upstream release.
    - Fixes crash on some SMSC numbers (Closes: #437527).

 -- Michal Čihař <nijel@debian.org>  Wed, 10 Oct 2007 17:39:38 +0900

gammu (1.13.92-1) experimental; urgency=low

  * New upstream release.
  * Drop not needed debian/*.dirs entries.

 -- Michal Čihař <nijel@debian.org>  Wed, 03 Oct 2007 14:18:19 +0900

gammu (1.13.91-1) experimental; urgency=low

  * New upstream release.
    - Fixes crash on wrong config file (Closes: #444046).
    - Fixes crash when reading SMS (Closes: #417085).
  * Use new Homepage field.

 -- Michal Čihař <nijel@debian.org>  Fri, 28 Sep 2007 17:01:12 +0900

gammu (1.13.90-1) experimental; urgency=low

  * New testing version.

 -- Michal Čihař <nijel@debian.org>  Fri, 07 Sep 2007 15:41:48 +0900

gammu (1.13.0-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Mon, 20 Aug 2007 15:32:56 +0200

gammu (1.12.94-1) experimental; urgency=low

  * New testing version.
  	- Fixed crash on larger OBEX upload (Closes: #435875).

 -- Michal Čihař <nijel@debian.org>  Tue, 14 Aug 2007 11:02:27 +0200

gammu (1.12.93-1) experimental; urgency=low

  * New testing version.
  * Do not build-depend on libbluetooth-dev on hurd and bsd.
  * Install bash completion script.

 -- Michal Čihař <nijel@debian.org>  Mon, 06 Aug 2007 11:41:25 +0200

gammu (1.12.92-1) experimental; urgency=low

  * New testing version.
  * Improved package descriptions.
  * Perform testing during build.

 -- Michal Čihař <nijel@debian.org>  Tue, 31 Jul 2007 11:39:44 +0200

gammu (1.12.91-1) experimental; urgency=low

  * New testing version.

 -- Michal Čihař <nijel@debian.org>  Mon, 23 Jul 2007 19:09:41 +0200

gammu (1.12.90-1) experimental; urgency=low

  * New testing version.
  * Correctly propagate cflags.

 -- Michal Čihař <nijel@debian.org>  Sun, 01 Jul 2007 17:29:03 +0200

gammu (1.12.0-1) unstable; urgency=low

  * New upstream release.
  * Remove cmake hacks which were fixed upstream.

 -- Michal Čihař <nijel@debian.org>  Fri, 15 Jun 2007 20:44:00 +0200

gammu (1.11.92-1) experimental; urgency=low

  * New upstream release.
  * Experimental build to allow wider testing.
  * Build depend on libbluetooth-dev.
  * Move common things to libgammu-common.

 -- Michal Čihař <nijel@debian.org>  Thu, 07 Jun 2007 17:40:35 +0200

gammu (1.11.0-1) unstable; urgency=low

  * New upstream release:
    + Do not use async I/O (Closes: #419944).
    + Fixes interaction with Samsung phones (Closes: #419367).
    + Patches are no longer needed.
  * Sync priority of -dbg package with overrides.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 May 2007 09:30:22 +0200

gammu (1.10.0-3) unstable; urgency=low

  * Add XS-Vcs headers.
  * Use my Debian account for email.
  * Make package binNMUable.
  * Create -dbg package to ease debugging.
  * Migrate patches to dpatch.
  * Build with PostgreSQL support.

 -- Michal Čihař <nijel@debian.org>  Thu, 19 Apr 2007 09:45:59 +0200

gammu (1.10.0-2) unstable; urgency=low

  * Provide smoother upgade from pre 1.0.10 versions (Closes: #414472).
  * Fix include path in pkgconfig.
  * Install correct config.h to avoid infinite recursion in includes.

 -- Michal Čihař <michal@cihar.com>  Mon, 12 Mar 2007 09:29:58 +0100

gammu (1.10.0-1) unstable; urgency=low

  * New upstrem version.
  * Updated watch file to match current upstream.
  * Build using cmake.
  * No need from end of line conversion anymore.

 -- Michal Čihař <michal@cihar.com>  Fri,  9 Mar 2007 10:35:10 +0100

gammu (1.09.00-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <michal@cihar.com>  Thu, 30 Nov 2006 13:20:18 +0100

gammu (1.08.16-2) experimental; urgency=low

  * Fix description (thanks to Christoph Berg).
  * Fix copyright to contain correct heading for copyright holders (thanks to
    Christoph Berg).

 -- Michal Čihař <michal@cihar.com>  Sun, 26 Nov 2006 12:42:30 +0100

gammu (1.08.16-1) experimental; urgency=low

  * Include gnapplet (Closes: #399249)
  * New testing release.

 -- Michal Čihař <michal@cihar.com>  Sat, 18 Nov 2006 21:22:43 +0100

gammu (1.08.00-1) unstable; urgency=low

  * New upstream release.
  * Fix adding of memory for AT driver.

 -- Michal Čihař <michal@cihar.com>  Wed, 20 Sep 2006 07:58:22 +0200

gammu (1.07.00-1) unstable; urgency=low

  * New upstream release.
  * Switch to libbluetooth2.
  * Standards 3.7.2, no changes needed.

 -- Michal Čihař <michal@cihar.com>  Thu, 29 Jun 2006 21:49:33 +0200

gammu (1.06.00-1) unstable; urgency=low

  * New upstream release.
  * Use actual homepage in debian/control (Closes: #364484).

 -- Michal Čihař <michal@cihar.com>  Tue, 25 Apr 2006 18:34:52 +0200

gammu (1.05.00-5) unstable; urgency=low

  * Fix crash of SMSD (Closes: #361058).
  * Fix segfault when executed without config (Closes: #361499).
  * Convert examples to unix EOL (Closes: #361497).
  * Remove useless parts of Debian patch (autogenerated files).

 -- Michal Čihař <michal@cihar.com>  Sat,  8 Apr 2006 22:09:23 +0200

gammu (1.05.00-4) unstable; urgency=low

  * Rebuild against new libmysqlclient15-dev (new versioned symbols).

 -- Michal Čihař <michal@cihar.com>  Wed, 22 Mar 2006 07:38:42 +0100

gammu (1.05.00-3) unstable; urgency=low

  * Rename devel package to libgammu-dev.
  * Devel package suggests pkg-config which should be used for acquiring
    proper compiler flags.
  * Loose shlibs dependency not to contain Debian release.
  * Use dpkg-parsechangelog for grabbing package version.

 -- Michal Čihař <michal@cihar.com>  Thu, 16 Mar 2006 22:04:14 +0100

gammu (1.05.00-2) unstable; urgency=low

  * Build depends on libmysqlclient15-dev.
  * Previous upload should go to unstable.
  * Fix not resetting new member of sms structure.

 -- Michal Čihař <michal@cihar.com>  Wed, 15 Mar 2006 19:49:57 +0100

gammu (1.05.00-1) experimental; urgency=low

  * New upstream release.

 -- Michal Čihař <michal@cihar.com>  Mon, 13 Mar 2006 21:36:07 +0100

gammu (1.04.11-1) experimental; urgency=low

  * New testing version.

 -- Michal Čihař <michal@cihar.com>  Thu,  9 Mar 2006 21:13:42 +0100

gammu (1.04.0-3) unstable; urgency=low

  * Initial release for Debian (Closes: #180632).
  * Fix copyright information to mention all used licenses.

 -- Michal Čihař <michal@cihar.com>  Mon, 20 Feb 2006 18:29:39 +0100

gammu (1.04.0-2) unstable; urgency=low

  * Actually fix segfault mentioned in previous changelog.

 -- Michal Čihař <michal@cihar.com>  Fri, 13 Jan 2006 22:05:52 +0100

gammu (1.04.0-1) unstable; urgency=low

  * New upstream release.
  * Fix segfault in atgen driver.

 -- Michal Čihař <michal@cihar.com>  Sun,  8 Jan 2006 19:52:39 +0100

gammu (1.03.20-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <michal@cihar.com>  Sat, 24 Dec 2005 12:08:26 +0100

gammu (1.03.0-1) unstable; urgency=low

  * Rebuilt debian directory from scratch.

 -- Michal Čihař <michal@cihar.com>  Mon, 28 Nov 2005 19:44:20 +0100
